## org.eclipse.emf.transaction
Class ResourceSetChangeEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.emf.transaction.ResourceSetChangeEvent

All Implemented Interfaces:
  Serializable

    public class ResourceSetChangeEvent

extends EventObject

Event object describing the nature of changes in a resource set to `ResourceSetListener`s. Note that the event object is only valid during the scope of the listener call-back invocation; in particular, the editing domain is free to re-use event objects and/or notification lists for performance purposes. Therefore, if it is necessary to retain the event or its list of notifications beyond the scope of the call-back, this information must be copied by the client.

This class is not intended to be extended or instantiated by clients.

See Also:
  `ResourceSetListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ResourceSetChangeEvent(TransactionalEditingDomain source)` Initializes me with my source editing domain.
`ResourceSetChangeEvent(TransactionalEditingDomain source, Transaction transaction, List<org.eclipse.emf.common.notify.Notification> notifications)` Initializes me with my source editing domain, command, and notifications.

Method Summary
`TransactionalEditingDomain` `getEditingDomain()` Obtains the editing domain whose resource set contents changed.
`List<org.eclipse.emf.common.notify.Notification>` `getNotifications()` Obtains the list of events (as `Notification`s), in the order in which they occurred, indicating the changes that occurred during the transaction.
`Transaction` `getTransaction()` Obtains the transaction in which resource set changes have occurred.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceSetChangeEvent

    public ResourceSetChangeEvent(TransactionalEditingDomain source)

  Initializes me with my source editing domain.

  Parameters:
    `source` - my source (must not be `null`)

### ResourceSetChangeEvent

    public ResourceSetChangeEvent(TransactionalEditingDomain source,
                                  Transaction transaction,
                                  List<org.eclipse.emf.common.notify.Notification> notifications)

  Initializes me with my source editing domain, command, and notifications.

  Parameters:
    `source` - my source (must not be `null`)
    `transaction` - the transaction that has made resource set changes
    `notifications` - a list of events (as `Notification`s), in the order in which they occurred

Method Detail

### getEditingDomain

    public TransactionalEditingDomain getEditingDomain()

  Obtains the editing domain whose resource set contents changed.

  Returns:
    the editing domain

### getTransaction

    public Transaction getTransaction()

  Obtains the transaction in which resource set changes have occurred. This is the transaction that is either about to commit or that has committed. Of particular interest in the transaction's `status` after it has committed.

  Note that it is not permitted to attempt to commit or roll back the transaction during the listener call-back. Any attempt to do so will result in an `IllegalStateException`.

  Returns:
    the transaction that is committing or committed. This will never be `null`

### getNotifications

    public List<org.eclipse.emf.common.notify.Notification> getNotifications()

  Obtains the list of events (as `Notification`s), in the order in which they occurred, indicating the changes that occurred during the transaction.

  Returns:
    the changes
  See Also:
    `Notification`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.